<?php
/**
 * @file
 * Menu overrides
 */

/**
 * Override theme_menu_tree().
 *
 * Remove class menu
 */
function bassline_menu_tree($variables) {
  return '<ul>' . $variables['tree'] . '</ul>';
}

/**
 * Override theme_menu_link().
 *
 * Remove the leaf class.
 */
function bassline_menu_link(array $vars) {
  $element = $vars['element'];
  $sub_menu = '';

  // Remove the leaf class
  $element['#attributes']['class'] = array_diff($element['#attributes']['class'], array('leaf'));
  // remove the class array if empty
  if (empty($element['#attributes']['class'])) {
    unset($element['#attributes']['class']);
  }

  if ($element['#below']) {
    $sub_menu = drupal_render($element['#below']);
  }
  $output = l($element['#title'], $element['#href'], $element['#localized_options']);
  return '<li' . drupal_attributes($element['#attributes']) . '>' . $output . $sub_menu . "</li>\n";
}
